"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connect = void 0;
const mongodb_1 = require("mongodb");
async function connect(connection) {
    try {
        const { uri, database, clientOpts } = connection;
        const client = await mongodb_1.MongoClient.connect(uri, clientOpts);
        const db = client.db(database);
        return { client, db };
    }
    catch (_a) {
        throw new Error("CONNECTION:MONGODB.FAILED");
    }
}
exports.connect = connect;
